
#VME Interface    Asynchronous Interface I/O timing
create_clock -period 100 -name vme_virtual_clock
create_clock -period 100 -name _as               [get_ports {_as}]
create_clock -period 100 -name vmeas               [get_ports {vmeas}]



create_clock -period 100 -name tapdel_10_inst45_inst17              [get_registers {tapdel_10:inst45|dff_one:inst17|lpm_ff:lpm_ff_component|dffs[0]}]
create_clock -period 100 -name tapdel_10_inst45_inst19              [get_registers {tapdel_10:inst45|dff_one:inst19|lpm_ff:lpm_ff_component|dffs[0]}]
create_clock -period 100 -name tapdel_10_inst45_inst20              [get_registers {tapdel_10:inst45|dff_one:inst20|lpm_ff:lpm_ff_component|dffs[0]}]
create_clock -period 100 -name tapdel_10_inst45_inst21              [get_registers {tapdel_10:inst45|dff_one:inst21|lpm_ff:lpm_ff_component|dffs[0]}]
create_clock -period 100 -name dff_one_inst15              [get_registers {dff_one:inst15|lpm_ff:lpm_ff_component|dffs[0]}]

set_multicycle_path -from vme_data* -to tdc_vme*ctrlreg* -hold -end 2
set_multicycle_path -from vme_data* -to tdc_vme*testmodereg -hold -end 2
set_multicycle_path -from vme_data* -to tdc_vme*haltmodereg -hold -end 2
set_multicycle_path -from vme_data* -to tdc_vme*testdatamodereg -hold -end 2
set_multicycle_path -from vme_data* -to tdc_vme*vmel2amodereg -hold -end 2
derive_pll_clocks -create_base_clocks

set_input_delay  -clock { vme_virtual_clock } -max 5 [get_ports {_as _vme_write address* am* _ga* _iack _lword _vme_write vme_data* _ds*}]
set_input_delay  -clock { vme_virtual_clock } -min 2 [get_ports {_as _vme_write address* am* _ga* _iack _lword _vme_write vme_data* _ds*}]

set_input_delay -clock { CLOCKIN } -max   4.2 [get_ports {I2C* MNGR_AUX* S10_AUX*}]
set_input_delay -clock { CLOCKIN } -min   3.8 [get_ports {I2C* MNGR_AUX* S10_AUX*}] 
set_output_delay -clock { vmeas }         0.5 [get_ports {vmeds }]
set_output_delay -clock { vmeas }         12 [get_ports {addr[*] dir_trans transceivers_OE vmewrite }]

set_false_path -to LED*

set_clock_uncertainty -to { vme_virtual_clock } -setup 5
set_clock_uncertainty -to { vme_virtual_clock } -hold 5
set_clock_uncertainty -to { _as } -setup 5
set_clock_uncertainty -to { _as } -hold 5




